<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="fr">
<head>
<!-- Generated by javadoc (version 1.7.0_79) on Thu Jun 23 07:55:03 CEST 2016 -->
<title>Uses of Class view.LinePlayer</title>
<meta name="date" content="2016-06-23">
<link rel="stylesheet" type="text/css" href="../../stylesheet.css" title="Style">
</head>
<body>
<script type="text/javascript"><!--
    if (location.href.indexOf('is-external=true') == -1) {
        parent.document.title="Uses of Class view.LinePlayer";
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar_top">
<!--   -->
</a><a href="#skip-navbar_top" title="Skip navigation links"></a><a name="navbar_top_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../overview-summary.html">Overview</a></li>
<li><a href="../package-summary.html">Package</a></li>
<li><a href="../../view/LinePlayer.html" title="class in view">Class</a></li>
<li class="navBarCell1Rev">Use</li>
<li><a href="../package-tree.html">Tree</a></li>
<li><a href="../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../index-files/index-1.html">Index</a></li>
<li><a href="../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="../../index.html?view/class-use/LinePlayer.html" target="_top">Frames</a></li>
<li><a href="LinePlayer.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip-navbar_top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
<h2 title="Uses of Class view.LinePlayer" class="title">Uses of Class<br>view.LinePlayer</h2>
</div>
<div class="classUseContainer">
<ul class="blockList">
<li class="blockList">
<table border="0" cellpadding="3" cellspacing="0" summary="Use table, listing packages, and an explanation">
<caption><span>Packages that use <a href="../../view/LinePlayer.html" title="class in view">LinePlayer</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Package</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><a href="#controler">controler</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="#view">view</a></td>
<td class="colLast">&nbsp;</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList">
<ul class="blockList">
<li class="blockList"><a name="controler">
<!--   -->
</a>
<h3>Uses of <a href="../../view/LinePlayer.html" title="class in view">LinePlayer</a> in <a href="../../controler/package-summary.html">controler</a></h3>
<table border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../controler/package-summary.html">controler</a> that return <a href="../../view/LinePlayer.html" title="class in view">LinePlayer</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code><a href="../../view/LinePlayer.html" title="class in view">LinePlayer</a></code></td>
<td class="colLast"><span class="strong">ListenerPlayersMenu.</span><code><strong><a href="../../controler/ListenerPlayersMenu.html#getLine()">getLine</a></strong>()</code>
<div class="block">Gets the line who represent a player.</div>
</td>
</tr>
</tbody>
</table>
<table border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../controler/package-summary.html">controler</a> with parameters of type <a href="../../view/LinePlayer.html" title="class in view">LinePlayer</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="strong">ListenerPlayersMenu.</span><code><strong><a href="../../controler/ListenerPlayersMenu.html#setLine(view.LinePlayer)">setLine</a></strong>(<a href="../../view/LinePlayer.html" title="class in view">LinePlayer</a>&nbsp;line)</code>
<div class="block">Sets the line who represent a player.</div>
</td>
</tr>
</tbody>
</table>
<table border="0" cellpadding="3" cellspacing="0" summary="Use table, listing constructors, and an explanation">
<caption><span>Constructors in <a href="../../controler/package-summary.html">controler</a> with parameters of type <a href="../../view/LinePlayer.html" title="class in view">LinePlayer</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colLast"><code><strong><a href="../../controler/ListenerPlayersMenu.html#ListenerPlayersMenu(int,%20view.LinePlayer)">ListenerPlayersMenu</a></strong>(int&nbsp;action,
                   <a href="../../view/LinePlayer.html" title="class in view">LinePlayer</a>&nbsp;line)</code>
<div class="block">Instantiates a new listener players menu.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colLast"><code><strong><a href="../../controler/ListenerStart.html#ListenerStart(view.LinePlayer,%20view.LinePlayer,%20view.LinePlayer,%20view.LinePlayer,%20view.Blokus)">ListenerStart</a></strong>(<a href="../../view/LinePlayer.html" title="class in view">LinePlayer</a>&nbsp;player1,
             <a href="../../view/LinePlayer.html" title="class in view">LinePlayer</a>&nbsp;player2,
             <a href="../../view/LinePlayer.html" title="class in view">LinePlayer</a>&nbsp;player3,
             <a href="../../view/LinePlayer.html" title="class in view">LinePlayer</a>&nbsp;player4,
             <a href="../../view/Blokus.html" title="class in view">Blokus</a>&nbsp;blokus)</code>
<div class="block">Instantiates a new listener start.</div>
</td>
</tr>
<tr class="altColor">
<td class="colLast"><code><strong><a href="../../controler/ListenerStart.html#ListenerStart(view.LinePlayer,%20view.LinePlayer,%20view.LinePlayer,%20view.LinePlayer,%20view.Parametres,%20view.Blokus)">ListenerStart</a></strong>(<a href="../../view/LinePlayer.html" title="class in view">LinePlayer</a>&nbsp;player1,
             <a href="../../view/LinePlayer.html" title="class in view">LinePlayer</a>&nbsp;player2,
             <a href="../../view/LinePlayer.html" title="class in view">LinePlayer</a>&nbsp;player3,
             <a href="../../view/LinePlayer.html" title="class in view">LinePlayer</a>&nbsp;player4,
             <a href="../../view/Parametres.html" title="class in view">Parametres</a>&nbsp;parametres,
             <a href="../../view/Blokus.html" title="class in view">Blokus</a>&nbsp;blokus)</code>
<div class="block">Instantiates a new listener start.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colLast"><code><strong><a href="../../controler/ListenerStartOnline.html#ListenerStartOnline(view.LinePlayer,%20view.LinePlayer,%20view.LinePlayer,%20view.LinePlayer,%20view.Blokus)">ListenerStartOnline</a></strong>(<a href="../../view/LinePlayer.html" title="class in view">LinePlayer</a>&nbsp;player1,
                   <a href="../../view/LinePlayer.html" title="class in view">LinePlayer</a>&nbsp;player2,
                   <a href="../../view/LinePlayer.html" title="class in view">LinePlayer</a>&nbsp;player3,
                   <a href="../../view/LinePlayer.html" title="class in view">LinePlayer</a>&nbsp;player4,
                   <a href="../../view/Blokus.html" title="class in view">Blokus</a>&nbsp;blokus)</code>
<div class="block">Instantiates a new listener start online.</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="view">
<!--   -->
</a>
<h3>Uses of <a href="../../view/LinePlayer.html" title="class in view">LinePlayer</a> in <a href="../../view/package-summary.html">view</a></h3>
<table border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../view/package-summary.html">view</a> that return <a href="../../view/LinePlayer.html" title="class in view">LinePlayer</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code><a href="../../view/LinePlayer.html" title="class in view">LinePlayer</a></code></td>
<td class="colLast"><span class="strong">MenuCreation.</span><code><strong><a href="../../view/MenuCreation.html#getP1()">getP1</a></strong>()</code>
<div class="block">Get the LinePlayer 1.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../view/LinePlayer.html" title="class in view">LinePlayer</a></code></td>
<td class="colLast"><span class="strong">MenuCreation.</span><code><strong><a href="../../view/MenuCreation.html#getP2()">getP2</a></strong>()</code>
<div class="block">Get the LinePlayer 2.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../../view/LinePlayer.html" title="class in view">LinePlayer</a></code></td>
<td class="colLast"><span class="strong">MenuCreation.</span><code><strong><a href="../../view/MenuCreation.html#getP3()">getP3</a></strong>()</code>
<div class="block">Get the LinePlayer 3.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../view/LinePlayer.html" title="class in view">LinePlayer</a></code></td>
<td class="colLast"><span class="strong">MenuCreation.</span><code><strong><a href="../../view/MenuCreation.html#getP4()">getP4</a></strong>()</code>
<div class="block">Get the LinePlayer 4.</div>
</td>
</tr>
</tbody>
</table>
<table border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../view/package-summary.html">view</a> with parameters of type <a href="../../view/LinePlayer.html" title="class in view">LinePlayer</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="strong">MenuCreation.</span><code><strong><a href="../../view/MenuCreation.html#setP1(view.LinePlayer)">setP1</a></strong>(<a href="../../view/LinePlayer.html" title="class in view">LinePlayer</a>&nbsp;p1)</code>
<div class="block">Sets the LinePlayer 1.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="strong">MenuCreation.</span><code><strong><a href="../../view/MenuCreation.html#setP2(view.LinePlayer)">setP2</a></strong>(<a href="../../view/LinePlayer.html" title="class in view">LinePlayer</a>&nbsp;p2)</code>
<div class="block">Sets the LinePlayer 2.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="strong">MenuCreation.</span><code><strong><a href="../../view/MenuCreation.html#setP3(view.LinePlayer)">setP3</a></strong>(<a href="../../view/LinePlayer.html" title="class in view">LinePlayer</a>&nbsp;p3)</code>
<div class="block">Sets the LinePlayer 3.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="strong">MenuCreation.</span><code><strong><a href="../../view/MenuCreation.html#setP4(view.LinePlayer)">setP4</a></strong>(<a href="../../view/LinePlayer.html" title="class in view">LinePlayer</a>&nbsp;p4)</code>
<div class="block">Sets the LinePlayer 4.</div>
</td>
</tr>
</tbody>
</table>
</li>
</ul>
</li>
</ul>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar_bottom">
<!--   -->
</a><a href="#skip-navbar_bottom" title="Skip navigation links"></a><a name="navbar_bottom_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../overview-summary.html">Overview</a></li>
<li><a href="../package-summary.html">Package</a></li>
<li><a href="../../view/LinePlayer.html" title="class in view">Class</a></li>
<li class="navBarCell1Rev">Use</li>
<li><a href="../package-tree.html">Tree</a></li>
<li><a href="../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../index-files/index-1.html">Index</a></li>
<li><a href="../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="../../index.html?view/class-use/LinePlayer.html" target="_top">Frames</a></li>
<li><a href="LinePlayer.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip-navbar_bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
